'use strict'

// 引入等比适配插件
const px2rem = require('postcss-px2rem')
 
// 配置基本大小
const postcss = px2rem({
  // 基准大小 baseSize，需要和rem.js中相同
  remUnit: 80
})

module.exports = {
  publicPath: "/",
  outputDir: 'dist',
  assetsDir: 'static',
  lintOnSave: false,
  
  productionSourceMap: false,
  devServer: {
    host: 'localhost',
    port: 808,
    open: true,
    overlay: {
      warning: false,
      error: true,
    },
  },
  css: {
    loaderOptions: {
      postcss: {
        plugins: [
          postcss
        ]
      }
    }
  }

}